// ---------------------------------------------------------------------------------------------------------------------
// TESTS: Modification of Meta (deeply nested)
// ---------------------------------------------------------------------------------------------------------------------

const model = {};

const meta = {
	fieldOne: {},
	container: {
		meta: {
			subcontainer: {
				meta: {
					testField: {
						type: 'text',
						placeholder: 'Does it work?'
					}
				}
			}
		}
	}
};

const meta2 = {
	fieldOne: {
		placeholder: 'WOO HOO!'
	},
	container: {
		label: 'Container',
		class: 'bordered',
		meta: {
			subcontainer: {
				label: 'Sub-Container',
				class: 'bordered',
				meta: {
					testField: {
						type: 'textarea',
						placeholder: 'YES! IT WORKS! REJOICE!',
						class: 'multicolor'
					}
				}
			}
		}
	}
}

export { model, meta, meta2 };

